Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class ResponseData

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.ResponseData

All Implemented Interfaces:
  DEREncodable

public class ResponseData
extends ASN1Encodable

Constructor Summary
`ResponseData(ASN1Sequence seq)`
`ResponseData(DERInteger version, ResponderID responderID, DERGeneralizedTime producedAt, ASN1Sequence responses, X509Extensions responseExtensions)`

Method Summary
`static ResponseData` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponseData` | `getInstance(java.lang.Object obj)`
`DERGeneralizedTime` | `getProducedAt()`
`ResponderID` | `getResponderID()`
`X509Extensions` | `getResponseExtensions()`
`ASN1Sequence` | `getResponses()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` ResponseData ::= SEQUENCE { version [0] EXPLICIT Version DEFAULT v1, responderID ResponderID, producedAt GeneralizedTime, responses SEQUENCE OF SingleResponse, responseExtensions [1] EXPLICIT Extensions OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseData

    public ResponseData(DERInteger version,
                        ResponderID responderID,
                        DERGeneralizedTime producedAt,
                        ASN1Sequence responses,
                        X509Extensions responseExtensions)

### ResponseData

    public ResponseData(ASN1Sequence seq)

Method Detail

### getInstance

    public static ResponseData getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getInstance

    public static ResponseData getInstance(java.lang.Object obj)

### getVersion

    public DERInteger getVersion()

### getResponderID

    public ResponderID getResponderID()

### getProducedAt

    public DERGeneralizedTime getProducedAt()

### getResponses

    public ASN1Sequence getResponses()

### getResponseExtensions

    public X509Extensions getResponseExtensions()

### toASN1Object

    public DERObject toASN1Object()

       ResponseData ::= SEQUENCE {
           version              [0] EXPLICIT Version DEFAULT v1,
           responderID              ResponderID,
           producedAt               GeneralizedTime,
           responses                SEQUENCE OF SingleResponse,
           responseExtensions   [1] EXPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD